#!/usr/bin/env lua
-- Script creator: xenios.maroudas@scanvest.de
-- Script to activate a WebRelay™ | Single Relay and Input Module >> https://www.controlbyweb.com/webrelay/
-- Modify the IP address in the line "local url" for adaptation to your network environment.
-- Support: xenios.maroudas@scanvest.de

local io = require("io")
local http = require("socket.http")
local ltn12 = require("ltn12")

-- Set http timeout to 10 seconds (if the system is too slow then this timeout must be higher)
http.TIMEOUT = 10

-- URL to trigger the WebRelay
local url = "http://192.168.22.206/state.xml?relay3State=2&pulseTime=3"

print ("Requesting relay activation")

local r, c, h = http.request{
  url= url,
  method = "GET"
}

print ("Finished relay activation request")
